Page MenuHomePhabricator

[Story] Simplify input for geocoordinates
Closed, ResolvedPublic

Description

As an editor I want a simpler and easier to understand input for geocoordinates.

The listrotator and autoselector should be removed and replaced by a simple dropdown for the precision. It should have an auto option as first entry which has the same behavior as the current autoselector.
If selected, the auto option should additionally indicate the auto detected precision in brackets in the dropdown.

Event Timeline

Lydia_Pintscher raised the priority of this task from to Normal.
Lydia_Pintscher updated the task description. (Show Details)
Lydia_Pintscher added a subscriber: Lydia_Pintscher.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 18 2015, 3:41 PM
Tobi_WMDE_SW updated the task description. (Show Details)Aug 31 2015, 1:36 PM
Tobi_WMDE_SW set Security to None.
Tobi_WMDE_SW updated the task description. (Show Details)Aug 31 2015, 1:41 PM
Tobi_WMDE_SW updated the task description. (Show Details)

Change 278030 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Remove rotation animation from listrotator

https://gerrit.wikimedia.org/r/278030

Change 278031 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Remove prev/next rotation buttons from listrotator

https://gerrit.wikimedia.org/r/278031

Change 278034 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Remove expand/collaps togglers from geo/time expert extenders

https://gerrit.wikimedia.org/r/278034

Change 278039 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Remove dead JS/CSS code from listrotator

https://gerrit.wikimedia.org/r/278039

Change 278030 merged by jenkins-bot:
Remove rotation animation from listrotator

https://gerrit.wikimedia.org/r/278030

Change 278031 merged by jenkins-bot:
Remove prev/next rotation buttons from listrotator

https://gerrit.wikimedia.org/r/278031

Change 279349 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
[WIP] Replace listrotator "auto" with "manually" checkbox

https://gerrit.wikimedia.org/r/279349

Change 279398 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Fix GlobeCoordinateInput to allow precision null

https://gerrit.wikimedia.org/r/279398

@Lydia_Pintscher, this is how it looks with the last patch https://gerrit.wikimedia.org/r/279398 applied:

Change 279407 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Do not center text in listrotator

https://gerrit.wikimedia.org/r/279407

Change 279407 abandoned by Thiemo Mättig (WMDE):
Do not center text in listrotator

Reason:
Now part of I20c28d0.

https://gerrit.wikimedia.org/r/279407

Change 278034 merged by jenkins-bot:
Remove expand/collaps togglers from geo/time expert extenders

https://gerrit.wikimedia.org/r/278034

Change 278039 merged by jenkins-bot:
Remove dead JS/CSS code from listrotator

https://gerrit.wikimedia.org/r/278039

Change 279349 merged by jenkins-bot:
Replace listrotator "auto" with "manually" checkbox

https://gerrit.wikimedia.org/r/279349

Change 283131 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Update ValueView to 0.17.0

https://gerrit.wikimedia.org/r/283131

Change 283131 merged by jenkins-bot:
Update ValueView to 0.17.1

https://gerrit.wikimedia.org/r/283131

adrianheine closed this task as Resolved.Apr 14 2016, 8:54 AM
adrianheine claimed this task.
adrianheine moved this task from Review to Done on the Wikidata-Sprint-2016-04-12 board.

Change 279398 merged by jenkins-bot:
Fix GlobeCoordinateInput to allow precision null

https://gerrit.wikimedia.org/r/279398